[arch-commits] Commit in nodejs-lts-erbium/repos/community-x86_64 (PKGBUILD PKGBUILD)

Bruno Pagani archange at archlinux.org
Wed Nov 27 01:24:00 UTC 2019


    Date: Wednesday, November 27, 2019 @ 01:23:59
  Author: archange
Revision: 533679

archrelease: copy trunk to community-x86_64

Added:
  nodejs-lts-erbium/repos/community-x86_64/PKGBUILD
    (from rev 533678, nodejs-lts-erbium/trunk/PKGBUILD)
Deleted:
  nodejs-lts-erbium/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  136 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 68 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-11-27 01:23:49 UTC (rev 533678)
+++ PKGBUILD	2019-11-27 01:23:59 UTC (rev 533679)
@@ -1,68 +0,0 @@
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-# Contributor: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=nodejs-lts-erbium
-pkgver=12.13.0
-pkgrel=2
-pkgdesc="Evented I/O for V8 javascript (LTS release: Erbium)"
-arch=(x86_64)
-url="https://nodejs.org/"
-license=(MIT)
-depends=(openssl zlib icu libuv c-ares libnghttp2) # http-parser
-makedepends=(python2 procps-ng)
-optdepends=('npm: nodejs package manager')
-provides=("nodejs=$pkgver")
-conflicts=(nodejs)
-source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
-# https://nodejs.org/download/release/latest-erbium/SHASUMS256.txt.asc
-sha256sums=(a82b1541cf670318a0102c32e06f296662b5ccccae764c1f32be4a3cf038bef6)
-validpgpkeys=(C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8  # Myles Borins <mylesborins at google.com>
-              77984A986EBC2AA786BC0F66B01FBB92821C587A  # Gibson Fahnestock <gibfahn at gmail.com>
-              B9AE9905FFD7803F25714661B63B535A4C206CA9  # Evan Lucas <evanlucas at me.com>
-              DD8F2338BAE7501E3DD5AC78C273792F7D83545D  # Rod Vagg <rod at vagg.org>
-              B9E2F5981AA6E0CD28160D9FF13993A75599653C  # Shelley Vohr <shelley.vohr at gmail.com>
-              4ED778F539E3634C779C87C6D7062848A1AB005C) # Beth Griggs <Bethany.Griggs at uk.ibm.com>
-
-prepare() {
-  cd node-v${pkgver}
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd node-v${pkgver}
-
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --experimental-http-parser \
-    --shared-cares \
-    --shared-nghttp2
-    #--shared-http-parser \
-
-  make
-}
-
-check() {
-  cd node-v${pkgver}
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd node-v${pkgver}
-  make DESTDIR="${pkgdir}" install
-  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
-}

Copied: nodejs-lts-erbium/repos/community-x86_64/PKGBUILD (from rev 533678, nodejs-lts-erbium/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-11-27 01:23:59 UTC (rev 533679)
@@ -0,0 +1,68 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=nodejs-lts-erbium
+pkgver=12.13.1
+pkgrel=1
+pkgdesc="Evented I/O for V8 javascript (LTS release: Erbium)"
+arch=(x86_64)
+url="https://nodejs.org/"
+license=(MIT)
+depends=(openssl zlib icu libuv c-ares libnghttp2) # http-parser
+makedepends=(python2 procps-ng)
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=$pkgver")
+conflicts=(nodejs)
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+# https://nodejs.org/download/release/latest-erbium/SHASUMS256.txt.asc
+sha256sums=(349e3a739cc26bb0975c0ada12b11933568ecbea459297fe8ae0a2acc351b192)
+validpgpkeys=(C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8  # Myles Borins <mylesborins at google.com>
+              77984A986EBC2AA786BC0F66B01FBB92821C587A  # Gibson Fahnestock <gibfahn at gmail.com>
+              B9AE9905FFD7803F25714661B63B535A4C206CA9  # Evan Lucas <evanlucas at me.com>
+              DD8F2338BAE7501E3DD5AC78C273792F7D83545D  # Rod Vagg <rod at vagg.org>
+              B9E2F5981AA6E0CD28160D9FF13993A75599653C  # Shelley Vohr <shelley.vohr at gmail.com>
+              4ED778F539E3634C779C87C6D7062848A1AB005C) # Beth Griggs <Bethany.Griggs at uk.ibm.com>
+
+prepare() {
+  cd node-v${pkgver}
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v${pkgver}
+
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --experimental-http-parser \
+    --shared-cares \
+    --shared-nghttp2
+    #--shared-http-parser \
+
+  make
+}
+
+check() {
+  cd node-v${pkgver}
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v${pkgver}
+  make DESTDIR="${pkgdir}" install
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list